Gecode::Int::TaskTraits< Cumulative::ManFixPSETask > Class Reference

Task traits for mandatory fixed tasks. More...

`#include <cumulative.hh>`

## Public Types

typedef Cumulative::ManFixPSETaskFwd | TaskViewFwd
| The forward task view type.
typedef Cumulative::ManFixPSETaskBwd | TaskViewBwd
| The backward task view type.
typedef Unary::ManFixPSETask | UnaryTask
| The corresponding unary task type.

## Detailed Description

Task traits for mandatory fixed tasks.

Definition at line 478 of file cumulative.hh.

## Member Typedef Documentation

## TaskViewFwd

typedef Cumulative::ManFixPSETaskFwd Gecode::Int::TaskTraits< Cumulative::ManFixPSETask >::TaskViewFwd

The forward task view type.

Definition at line 481 of file cumulative.hh.

## TaskViewBwd

typedef Cumulative::ManFixPSETaskBwd Gecode::Int::TaskTraits< Cumulative::ManFixPSETask >::TaskViewBwd

The backward task view type.

Definition at line 483 of file cumulative.hh.

## UnaryTask

typedef Unary::ManFixPSETask Gecode::Int::TaskTraits< Cumulative::ManFixPSETask >::UnaryTask

The corresponding unary task type.

Definition at line 485 of file cumulative.hh.

The documentation for this class was generated from the following file:

- gecode/int/cumulative.hh